package scanner

import (
	"sync"

	"git.akyoto.dev/cli/q/src/build/core"
)

// Scanner is used to scan files before the actual compilation step.
type Scanner struct {
	functions chan *core.Function
	errors    chan error
	group     sync.WaitGroup
	queued    sync.Map
}
